Name:		cmake
Version:	3.2.2
Release:	1
Summary:	Cross-platform make system
Group:		Development/Tools
License:	BSD
URL:		http://www.cmake.org
Source0:	http://www.cmake.org/files/v3.1/%{name}-%{version}.tar.gz
Source1:        cmake-init-aix
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	make

# we don't want any dependencies
BuildConflicts:	libidn

%description
CMake is used to control the software compilation process using simple 
platform and compiler independent configuration files. CMake generates 
native makefiles and workspaces that can be used in the compiler 
environment of your choice. CMake is quite sophisticated: it is possible 
to support complex environments requiring system configuration, pre-processor 
generation, code generation, and template instantiation.


%prep
%setup -q
%patch0


%build
export CC=xlc
export CXX=xlC

# no "-I/opt/freeware/include" allowed otherwise compile of internal libs fails
export CFLAGS="-qmaxmem=16384 -DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O"
export CXXFLAGS=$CFLAGS

./bootstrap \
    --init=%{SOURCE1} \
    --prefix=%{_prefix} \
    --datadir=/share/%{name} \
    --docdir=/doc/%{name}-%{version} \
    --mandir=/man

gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%{_prefix}/doc/%{name}-%{version}/
%{_bindir}/*
%{_datadir}/aclocal/cmake.m4
%{_datadir}/%{name}/
/usr/bin/*


%changelog
* Fri Jul 10 2015 Michael Perzl <michael@perzl.org> - 3.2.2-1
- updated to version 3.2.2

* Fri Jul 10 2015 Michael Perzl <michael@perzl.org> - 3.2.1-1
- updated to version 3.2.1

* Fri Jul 10 2015 Michael Perzl <michael@perzl.org> - 3.2.0-1
- updated to version 3.2.0

* Fri Jul 10 2015 Michael Perzl <michael@perzl.org> - 3.1.3-1
- updated to version 3.1.3

* Fri Jul 10 2015 Michael Perzl <michael@perzl.org> - 3.1.2-1
- updated to version 3.1.2

* Fri Jan 23 2015 Michael Perzl <michael@perzl.org> - 3.1.1-1
- updated to version 3.1.1

* Wed Jan 21 2015 Michael Perzl <michael@perzl.org> - 3.1.0-1
- updated to version 3.1.0

* Wed Jan 21 2015 Michael Perzl <michael@perzl.org> - 3.0.2-1
- updated to version 3.0.2

* Wed Jan 21 2015 Michael Perzl <michael@perzl.org> - 3.0.1-1
- updated to version 3.0.1

* Wed Jan 21 2015 Michael Perzl <michael@perzl.org> - 3.0.0-1
- updated to version 3.0.0

* Fri Feb 07 2014 Michael Perzl <michael@perzl.org> - 2.8.12.2-1
- updated to version 2.8.12.2

* Tue Nov 19 2013 Michael Perzl <michael@perzl.org> - 2.8.12.1-1
- updated to version 2.8.12.1

* Mon Jul 22 2013 Michael Perzl <michael@perzl.org> - 2.8.11.2-1
- updated to version 2.8.11.2

* Wed Jun 26 2013 Michael Perzl <michael@perzl.org> - 2.8.11.1-1
- updated to version 2.8.11.1

* Mon Jan 07 2013 Michael Perzl <michael@perzl.org> - 2.8.10.2-1
- updated to version 2.8.10.2

* Thu Nov 15 2012 Michael Perzl <michael@perzl.org> - 2.8.10.1-1
- updated to version 2.8.10.1

* Mon Sep 17 2012 Michael Perzl <michael@perzl.org> - 2.8.9-1
- updated to version 2.8.9

* Wed Jul 11 2012 Michael Perzl <michael@perzl.org> - 2.8.8-1
- updated to version 2.8.8

* Tue Jan 11 2011 Michael Perzl <michael@perzl.org> - 2.8.3-1
- updated to version 2.8.3

* Wed Jun 02 2010 Michael Perzl <michael@perzl.org> - 2.8.1-1
- updated to version 2.8.1

* Wed Jun 02 2010 Michael Perzl <michael@perzl.org> - 2.6.4-1
- updated to version 2.6.4

* Tue Mar 04 2008 Michael Perzl <michael@perzl.org> - 2.4.8-1
- first version for AIX V5.1 and higher
